/*
 * nScore
 *
 * game.h
 *
 * Copyright (C) 1996-2003 by Nakashima Tomoaki. All rights reserved.
 *		http://www.nakka.com/
 *		nakka@nakka.com
 */

#ifndef _INC_GAME_H
#define _INC_GAME_H

/* Include Files */

/* Define */
#define WM_GET_WINDOW_SIZE			(WM_APP + 100)
#define WM_SET_BOARD_SIZE			(WM_APP + 101)
#define WM_GAME_OPTION				(WM_APP + 102)
#define WM_GAME_INIT				(WM_APP + 103)
#define WM_GAME_END					(WM_APP + 104)
#define WM_GAME_STOP				(WM_APP + 105)
#define WM_SHOW_SCORE				(WM_APP + 106)
#define WM_SAVE_SCORE				(WM_APP + 107)
#define WM_PREV_PLAYER				(WM_APP + 108)

/* Struct */

/* Function Prototypes */
BOOL game_regist(const HINSTANCE hInstance);
HWND game_create(const HINSTANCE hInstance, const HWND pWnd, int id, int size);

#endif
/* End of source */
