/*
 * n01
 *
 * Ini.h
 *
 * Copyright (C) 1996-2004 by Nakashima Tomoaki. All rights reserved.
 *		http://www.nakka.com/
 *		nakka@nakka.com
 */

#ifndef _INC_INI_H
#define _INC_INI_H

/* Include Files */
#include "score_01.h"
#include "score_cricket.h"
#include "score_countup.h"
#include "score_cricket_countup.h"
#include "score_eagleseye.h"
#include "score_halfit.h"
#include "score_rotation.h"
#include "score_splat.h"

/* Define */

/* Struct */

/* Function Prototypes */
BOOL ini_get_option(const TCHAR *ini_path);
BOOL ini_put_option(const TCHAR *ini_path);

BOOL ini_put_01game_option(const TCHAR *ini_path, const ZEROONE_INFO *zi);
BOOL ini_put_cricket_option(const TCHAR *ini_path, const CRICKET_INFO *cri);
BOOL ini_put_countup_option(const TCHAR *ini_path, const COUNTUP_INFO *cui);
BOOL ini_put_cricket_countup_option(const TCHAR *ini_path, const CRICKET_COUNTUP_INFO *ccui);
BOOL ini_put_eagleseye_option(const TCHAR *ini_path, const EAGLESEYE_INFO *eei);
BOOL ini_put_halfit_option(const TCHAR *ini_path, const HALFIT_INFO *hii);
BOOL ini_put_rotation_option(const TCHAR *ini_path, const ROTATION_INFO *rti);
BOOL ini_put_splat_option(const TCHAR *ini_path, const SPLAT_INFO *si);

#endif
/* End of source */
