/*
 * nScore
 *
 * score_countup.h
 *
 * Copyright (C) 1996-2003 by Nakashima Tomoaki. All rights reserved.
 *		http://www.nakka.com/
 *		nakka@nakka.com
 */

#ifndef _INC_SCORE_COUNTUP_H
#define _INC_SCORE_COUNTUP_H

/* Include Files */
#include "general.h"

/* Define */
#define COUNTUP_ROUND_MAX			8

/* Struct */
typedef struct _COUNTUP_ROUND_INFO {
	int score_list;
	TCHAR throw_list[THROW_MAX][BUF_SIZE];
} COUNTUP_ROUND_INFO;

typedef struct _COUNTUP_PLAYER_INFO {
	TCHAR name[BUF_SIZE];
	int score;

	COUNTUP_ROUND_INFO ri[COUNTUP_ROUND_MAX];
} COUNTUP_PLAYER_INFO;

typedef struct _COUNTUP_INFO {
	BOOL game_flag;

	int player_cnt;
	int round_cnt;
	BOOL op_bull;

	int current_round;
	int current_player;
	int list_index;

	COUNTUP_PLAYER_INFO pi[PLAYER_MAX];

} COUNTUP_INFO;

/* Function Prototypes */
BOOL score_countup_regist(const HINSTANCE hInstance);
HWND score_countup_create(const HINSTANCE hInstance, const HWND pWnd, int id, const int height);

#endif
/* End of source */
