/*
 * nScore
 *
 * score_input.h
 *
 * Copyright (C) 1996-2003 by Nakashima Tomoaki. All rights reserved.
 *		http://www.nakka.com/
 *		nakka@nakka.com
 */

#ifndef _INC_SCORE_INPUT_H
#define _INC_SCORE_INPUT_H

/* Include Files */

/* Define */
#define WM_INIT_SCORE				(WM_APP + 500)
#define WM_SET_SCORE				(WM_APP + 501)
#define WM_GET_SCORE				(WM_APP + 502)
#define WM_GET_SCORE_STR			(WM_APP + 503)
#define WM_GET_SCORE_FULL_STR		(WM_APP + 504)
#define WM_SET_PLAYER_NAME			(WM_APP + 505)
#define WM_SET_PLAYER_SCORE			(WM_APP + 506)
#define WM_SET_PLAYER_SCORE_STR		(WM_APP + 507)
#define WM_SET_CURRENT_PLAYER		(WM_APP + 508)
#define WM_SET_WINNER_PLAYER		(WM_APP + 509)
#define WM_SET_SCORE_ENABLE			(WM_APP + 510)
#define WM_SET_INPUT_ENABLE			(WM_APP + 511)
#define WM_SET_FOCUS_NEXT_BTN		(WM_APP + 512)
#define WM_CHANGE_FOCUS				(WM_APP + 513)
#define WM_NEXT_PLAYER				(WM_APP + 514)

/* Struct */

/* Function Prototypes */
BOOL get_status_string(const TCHAR throw_str[THROW_MAX][BUF_SIZE], const int round_score, TCHAR *ret);
int score_convert(TCHAR *buf);
void score_convert_str(TCHAR *buf);
HWND score_input_create(const HANDLE hInst, const HWND hWnd);

#endif
/* End of source */
